#!/usr/bin/env python
#-*- coding:utf-8 -*-
#
#   reverseSurface.py
#
#       stlファイルの向きを反転させる
#
#   14/01/11    新規作成
#


import sys

fileName = sys.argv[1]

#stlファイルの読み込み
f=open(fileName); cont=f.readlines(); f.close()

#faceの向きを反転
i = 0
while i < len(cont):
    words = cont[i].split()
    if words[0] == "facet" and words[1]== "normal":
        #ベクトルを反転
        words[2] = str(-float(words[2]))
        words[3] = str(-float(words[3]))
        words[4] = str(-float(words[4]))
        cont[i] = " " + " ".join(words) + "\n"
        #三角形の座標の順番を入れ替え
        point1 = cont[i+3]
        point2 = cont[i+4]
        cont[i+3] = point2
        cont[i+4] = point1
        i += 5
    else:
        i += 1

#stlファイルを保存
newCont = "".join(cont)
newName = fileName[:-4]+"_rev"+fileName[-4:]
f=open(newName, "w"); f.write(newCont); f.close()

