#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
#   setSalomeQuickDir.py
#
#       SalomeのquickDirを設定する
#

import sys
import string

def setQuickDir(fileName, quickDir):
    f=open(fileName)
    contents = f.readlines()
    f.close()
    i=0
    while i<len(contents):
        line = contents[i]
        n = string.find(line, 'name="FileDlg"')
        if n>=0:
            contents[i+1] = '  <parameter value="' + quickDir + '" name="QuickDirList" />\n'
            break
        i+=1
    f=open(fileName,"w")
    for line in contents:
        f.write(line)
    f.close()


if __name__ == "__main__":
    fileName = sys.argv[1]
    quickDir = sys.argv[2]
    setQuickDir(fileName, quickDir)

