#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
#   runFreeCAD
#

import string
import sys


def setFileOpenSavePath(fileName, path):
    f=open(fileName)
    contents = f.readlines()
    f.close()
    i=0
    while i<len(contents):
        line = contents[i]
        n = string.find(line, '<FCText Name="FileOpenSavePath">')
        if n>=0:
            contents[i] = line[:n] + '<FCText Name="FileOpenSavePath">' + path + "</FCText>\n"
            break
        i+=1
    f=open(fileName,"w")
    for line in contents:
        f.write(line)
    f.close()

if __name__ == "__main__":
    fileName = sys.argv[1]
    path = sys.argv[2]
    setFileOpenSavePath(fileName, path)


